Name:		plymouth-theme-retroblue
Version:	0.1
Release:	%mkrel 2
License:	GPL
Group:		System/Kernel and hardware
URL:		http://pclinuxos.com
Source:		plymouth-theme-RetroBlue-%{version}.tar.xz
Summary:	RetroBlack Plymouth Theme
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   	glibc >= 2.10.1
Obsoletes:	plymouth-theme-RetroBlue
BuildArch:       noarch

%description
RetroBlue Plymouth Theme for PCLinuxOS with remixed 2007 graphics.

%prep

%setup -q -n plymouth-theme-RetroBlue-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/RetroBlue
cp * $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/RetroBlue


%posttrans
/usr/sbin/plymouth-set-default-theme RetroBlue
/usr/share/bootsplash/scripts/switch-themes RetroBlue

%files
%defattr(-,root,root)
%{_datadir}/plymouth/themes/RetroBlue/*
%dir %{_datadir}/plymouth/themes/RetroBlue

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{name}

%changelog
* Sat Jun 11 2011 Neal <nealbrks0 at gmail.com> 0.1-2pclos2011
- add postun to fix nonremoval of theme folder

* Fri Jul 08 2010 Neal <nealbrks0 at gmail.com> 0.1-1pclos2010
- create new package of a theme by Neal

